## kirigami-gallery 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.47.0") # handled by release scripts
set(KF5_DEP_VERSION "5.47.0") # handled by release scripts

project(kirigami2gallery VERSION ${KF5_VERSION})

set(REQUIRED_QT_VERSION 5.8.0)

SET(CMAKE_CXX_STANDARD 11)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "kirigami gallery requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()

# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)

set(CMAKE_AUTOMOC ON)
set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

################# set KDE specific information #################

find_package(ECM 5.47.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMQMLModules)

if(CMAKE_SYSTEM_NAME STREQUAL "Android")
    find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
endif()


ecm_find_qmlmodule(QtGraphicalEffects 1.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kirigami-gallery (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:10:30 +0000

kirigami-gallery (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:53 +0000

kirigami-gallery (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:58 +0000

kirigami-gallery (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:37 +0000

kirigami-gallery (19.04.3-1) unstable; urgency=medium

  * Initial release. (Closes: #918999)

 -- Scarlett Moore <sgmoore@kde.org>  Mon, 12 Aug 2019 11:32:08 -0700

=== debian/control ===
Source: kirigami-gallery
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 12),
               extra-cmake-modules (>= 0.0.8~),
               kirigami2-dev,
               libqt5svg5-dev,
               pkg-kde-tools,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
Standards-Version: 4.3.0
Homepage: https://cgit.kde.org/kirigami-gallery.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git

Package: kirigami-gallery
Architecture: any
Depends: kpackagelauncherqml,
         qml-module-org-kde-kirigami2,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@

## kirigami-gallery 20.08.1

=== debian/changelog ===
kirigami-gallery (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:54:29 +0100

kirigami-gallery (20.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Fix control file section order for team consistency.
  * Add Bug-Database and Bug-Submit to upstream metadata.
  * Use hardening options =+all.
  * Refresh copyright file.
     - Update new copyright information 19.08 to 20.04.
     - Fix DEP 5 entry for KDEeV clause.
     - Update Source the actual source not the VCS browser.
     - Add missing Upstream-Contact field.
  * Update build and runtime dependencies according to cmake.
  * Disable salsa ci test build_all as this package does not have one.
  * New upstream release (20.04.2).
  * Bump debhelper-compat to 13.
  * Update files to reflect the upstream move to invent.kde.org
    - Update upstream metadata repository related entries.
    - Update copyright Source.
  * Fix renamed-tag binary-without-manpage in lintian-overrides.
  * Update Maintainer Field in control to reflect the debian-qt-kde
    team.
  * Update control Homepage to friendly user facing application
    development page.

  [ Pino Toscano ]
  * New upstream release.
  * Add the qml-module-org-kde-kitemmodels dependency, needed by the new
    version.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 07:30:16 +0200

kirigami-gallery (19.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream version.
  * Refresh copyright file.
   - Use new format for KDEeV copyright agreed upon
    after much discussion.
   - Add missing CC0-1.0 copyright information.
  * Move away from dhmk.
   - Drop pkg-kde-tools include and use dh addon kf5.
   - Add export to link --as-needed
  * Update build dependencies from cmake.
  * Switch to debhelper-compat.
    - Replace debhelper with the new debhelper-compat dependency.
    - drop compat file.
  * Update salsa-ci configuration to include reprotest options.
  * Add missing qttools5-dev needed by ECM to generate
    translations.
  * Fix salsa-ci yaml.
  * Add new rules-requires-root field in control to reduce
    fakeroot overhead.
    - Add entry and select no. It does not require root.
  * Update the spelling error lintian override with verbose details
    as to why is allowed to remain mispspelled.
  * Remove debian/files brought in by original neon packaging.
  * Update Standards to 4.5.0; No changes needed.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * Add lintian override for missing manpage.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Feb 2020 08:29:43 +0100

=== debian/control ===
Source: kirigami-gallery
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.47.0~),
               kpackagetool5 (>= 5.47.0~),
               libqt5svg5-dev (>= 5.8.0~),
               pkg-config,
               pkg-kde-tools,
               qml-module-qtgraphicaleffects (>= 5.8.0~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-dev-tools (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtdeclarative5-dev-tools (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~),
Standards-Version: 4.5.0
Homepage: https://kde.org/applications/development/org.kde.kirigami2.gallery
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
Rules-Requires-Root: no

Package: kirigami-gallery
Architecture: any
Depends: qml-module-org-kde-kitemmodels,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

## kirigami-gallery 20.12.0

=== debian/changelog ===
kirigami-gallery (20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 03 Jan 2021 22:42:46 +0100

kirigami-gallery (20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Drop testsuite-autopkgtest-missing lintian override, the tag was removed
    from lintian.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 29 Oct 2020 23:29:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.47.0~),
@@ -16,9 +17,9 @@
                qtdeclarative5-dev (>= 5.8.0~),
                qtdeclarative5-dev-tools (>= 5.8.0~),
                qtquickcontrols2-5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.8.0~),
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/development/org.kde.kirigami2.gallery
+               qttools5-dev (>= 5.8.0~)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/sdk/kirigami-gallery
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
 Rules-Requires-Root: no

## kirigami-gallery 20.12.3

=== debian/changelog ===
kirigami-gallery (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:21:01 +0000

kirigami-gallery (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:55:00 +0000

kirigami-gallery (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qtdeclarative5-dev (>= 5.8.0~),
                qtdeclarative5-dev-tools (>= 5.8.0~),
                qtquickcontrols2-5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.8.0~)
+               qttools5-dev (>= 5.8.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/sdk/kirigami-gallery
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery

## kirigami-gallery 21.08.1

=== debian/changelog ===
kirigami-gallery (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:25 +0100

kirigami-gallery (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:03:12 +0100

kirigami-gallery (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:39 +0100

kirigami-gallery (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update build and runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:32 +0100

kirigami-gallery (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:17 +0100

kirigami-gallery (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:54 +0100

kirigami-gallery (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:23 +0100

kirigami-gallery (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.47.0~),
+               kirigami2-dev,
                kpackagetool5 (>= 5.47.0~),
+               libkf5itemmodels-dev,
                libqt5svg5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools,
@@ -26,7 +28,8 @@
 
 Package: kirigami-gallery
 Architecture: any
-Depends: qml-module-org-kde-kitemmodels,
+Depends: qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kitemmodels,
          qml-module-qtgraphicaleffects,
          ${misc:Depends},
          ${shlibs:Depends}

## kirigami-gallery 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "5.15.0")
set(KF5_DEP_VERSION "5.79.0")

set(CMAKE_CXX_STANDARD 17)

find_package(ECM ${KF5_DEP_VERSION} REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Kirigami2 ItemModels)

option(ENABLE_QML_PROFILING "Enable QML profiler support" ON)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMQMLModules)

if(ANDROID)
    find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
endif()

ecm_find_qmlmodule(QtGraphicalEffects 1.0)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

ecm_install_po_files_as_qm(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ecm_install_po_files_as_qm(poqm)

=== src/CMakeLists.txt ===

if (ENABLE_QML_PROFILING)
    add_definitions(-DQT_QML_DEBUG)
endif()

find_program(kpackagetool_cmd kpackagetool5)
if (kpackagetool_cmd)
    set(component org.kde.kirigami2.gallery)
    set(APPDATAFILE "${CMAKE_CURRENT_BINARY_DIR}/${component}.appdata.xml")

    message(STATUS "${kpackagetool_cmd} --appstream-metainfo ${CMAKE_CURRENT_SOURCE_DIR}/data --appstream-metainfo-output ${APPDATAFILE}")
    execute_process(
        COMMAND ${kpackagetool_cmd} --appstream-metainfo ${CMAKE_CURRENT_SOURCE_DIR}/data --appstream-metainfo-output ${APPDATAFILE}
        ERROR_VARIABLE appstreamerror
        RESULT_VARIABLE result)
    if (NOT result EQUAL 0)
        message(WARNING "couldn't generate metainfo for ${component}: ${appstreamerror}")
    else()
        if(appstreamerror)
            message(WARNING "warnings during generation of metainfo for ${component}: ${appstreamerror}")
        endif()

        # OPTIONAL because desktop files can be NoDisplay so they render no XML.
        install(FILES ${APPDATAFILE} DESTINATION ${KDE_INSTALL_METAINFODIR} OPTIONAL)
    endif()
else()
    message(WARNING "KPackage components should be specified in reverse domain notation. Appstream information won't be generated for ${component}.")
endif()

add_executable(kirigami2gallery
    main.cpp
    InfoData.cpp
    resources.qrc)
target_link_libraries(kirigami2gallery Qt5::Core  Qt5::Qml Qt5::Quick Qt5::Svg Qt5::QuickControls2 KF5::Kirigami2 KF5::ItemModels)

if (ANDROID)
    target_link_libraries(kirigami2gallery Qt5::AndroidExtras)
    kirigami_package_breeze_icons(ICONS applications-graphics view-list-icons folder-sync view-list-details configure document-edit dialog-information dialog-positive dialog-warning dialog-error dialog-cancel document-decrypt system-run mail-reply-sender bookmarks folder media-record-symbolic add-placemark address-book-new-symbolic view-right-new view-right-close documentinfo go-home)

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(TARGETS kirigami2gallery ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES data/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.kirigami2.gallery.desktop)

=== debian/changelog ===
kirigami-gallery (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:37 +0000

kirigami-gallery (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:18:10 +0000

kirigami-gallery (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:26:05 +0000

kirigami-gallery (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:23:11 +0000

kirigami-gallery (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:07:45 +0000

kirigami-gallery (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:18:24 +0000

kirigami-gallery (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:51 +0000

kirigami-gallery (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kirigami-gallery
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.0~),
@@ -22,8 +23,8 @@
                qttools5-dev (>= 5.8.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/sdk/kirigami-gallery
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-gallery
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-gallery
 Rules-Requires-Root: no
 
 Package: kirigami-gallery

## kirigami-gallery 22.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})
@@ -42,8 +42,7 @@
 
 add_subdirectory(src)
 
-ecm_install_po_files_as_qm(po)
+ecm_install_po_files_as_qm(poqm)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kirigami-gallery (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:41:04 +0100

kirigami-gallery (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:50 +0100

kirigami-gallery (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:27 +0100

kirigami-gallery (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:28:24 +0100

kirigami-gallery (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:34 +0100

kirigami-gallery (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:01:06 +0100

kirigami-gallery (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:56 +0100

## kirigami-gallery 22.12.1

=== debian/changelog ===
kirigami-gallery (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:06:20 +0100

kirigami-gallery (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:44 +0100

kirigami-gallery (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:58 +0100

kirigami-gallery (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 23:02:30 +0100

kirigami-gallery (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:14:54 +0900

kirigami-gallery (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:25:09 +0900

## kirigami-gallery 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Release Service Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})
@@ -18,10 +18,6 @@
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
-
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Kirigami2 ItemModels)
-
 option(ENABLE_QML_PROFILING "Enable QML profiler support" ON)
 
 include(FeatureSummary)
@@ -31,8 +27,14 @@
 include(ECMPoQmTools)
 include(ECMQMLModules)
 
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
+
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Kirigami2 ItemModels)
+
 if(ANDROID)
     find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
+else()
+    find_package(Qt${QT_MAJOR_VERSION}Widgets ${REQUIRED_QT_VERSION} REQUIRED)
 endif()
 
 ecm_find_qmlmodule(QtGraphicalEffects 1.0)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 if (ENABLE_QML_PROFILING)
     add_definitions(-DQT_QML_DEBUG)
 endif()
@@ -31,14 +30,16 @@
     main.cpp
     InfoData.cpp
     resources.qrc)
-target_link_libraries(kirigami2gallery Qt5::Core  Qt5::Qml Qt5::Quick Qt5::Svg Qt5::QuickControls2 KF5::Kirigami2 KF5::ItemModels)
+target_link_libraries(kirigami2gallery Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 KF5::Kirigami2 KF5::ItemModels)
 
 if (ANDROID)
     target_link_libraries(kirigami2gallery Qt5::AndroidExtras)
     kirigami_package_breeze_icons(ICONS applications-graphics view-list-icons folder-sync view-list-details configure document-edit dialog-information dialog-positive dialog-warning dialog-error dialog-cancel document-decrypt system-run mail-reply-sender bookmarks folder media-record-symbolic add-placemark address-book-new-symbolic view-right-new view-right-close documentinfo go-home)
 
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
+else()
+    target_link_libraries(kirigami2gallery Qt::Widgets)
 endif()
 
-install(TARGETS kirigami2gallery ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES data/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.kirigami2.gallery.desktop)
+install(TARGETS kirigami2gallery ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES data/metadata.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME org.kde.kirigami2.gallery.desktop)

=== debian/changelog ===
kirigami-gallery (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:54 +0100

=== debian/control ===
Source: kirigami-gallery
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.79.0~),
               kirigami2-dev (>= 5.79.0~),
               kpackagetool5 (>= 5.47.0~),
               libkf5itemmodels-dev (>= 5.79.0~),
               libqt5svg5-dev (>= 5.15.0~),
               pkg-config,
               pkg-kde-tools,
               qml-module-qtgraphicaleffects (>= 5.8.0~),
               qtbase5-dev (>= 5.15.0~),
               qtbase5-dev-tools (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtdeclarative5-dev-tools (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.8.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/kirigami-gallery
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
Rules-Requires-Root: no

Package: kirigami-gallery
Architecture: any
Depends: qml-module-org-kde-kitemmodels,
         qml-module-qtgraphicaleffects,
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

## kirigami-gallery 23.08.0

=== debian/changelog ===
kirigami-gallery (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:55:10 +0100

kirigami-gallery (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:56 +0100

kirigami-gallery (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:48:30 +0100

kirigami-gallery (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:45 +0100

kirigami-gallery (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:39:04 +0000

kirigami-gallery (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:18:23 -0600

kirigami-gallery (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:43 +0000

kirigami-gallery (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Add qml-module-org-kde-kirigami2 to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 18:08:42 +0000

kirigami-gallery (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:10:21 +0000

kirigami-gallery (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:06:39 +0000

kirigami-gallery (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:51:15 +0000

kirigami-gallery (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:59 +0000

## kirigami-gallery 23.08.1

=== debian/changelog ===
kirigami-gallery (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:00:14 +0100

## kirigami-gallery 23.08.4

=== debian/changelog ===
kirigami-gallery (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:16:22 +0000

kirigami-gallery (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:36:02 +0000

kirigami-gallery (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:32:17 +0100

## kirigami-gallery 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})
 
 set(REQUIRED_QT_VERSION "5.15.0")
+if (ANDROID)
+    set(REQUIRED_QT_VERSION "5.15.10")
+endif()
 set(KF5_DEP_VERSION "5.79.0")
 
 set(CMAKE_CXX_STANDARD 17)

=== debian/changelog ===
kirigami-gallery (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:19 +1100

kirigami-gallery (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:02:56 +0000

kirigami-gallery (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:02:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kirigami-gallery
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -21,15 +22,16 @@
                qtdeclarative5-dev-tools (>= 5.8.0~),
                qtquickcontrols2-5-dev (>= 5.15.0~),
                qttools5-dev (>= 5.8.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/sdk/kirigami-gallery
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-gallery
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-gallery
 Rules-Requires-Root: no
 
 Package: kirigami-gallery
 Architecture: any
-Depends: qml-module-org-kde-kitemmodels,
+Depends: qml-module-org-kde-kirigami2,
+         qml-module-org-kde-kitemmodels,
          qml-module-qtgraphicaleffects,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

## kirigami-gallery 24.08.2

=== debian/changelog ===
kirigami-gallery (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:55:47 -0500

kirigami-gallery (24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Switch to declarative KF6 debhelper build sequence.
  * Drop manually added ld flags that are now part of default
    dpkg-buildflags.
  * Replace manual QML runtime dependencies management with dh-sequence-
    qmldeps.
  * Switch away from transitional pkg-config build dependency.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 12:24:12 +0200

## kirigami-gallery 24.12.0

=== debian/changelog ===
kirigami-gallery (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 23:05:00 +0100

=== debian/control ===
Source: kirigami-gallery
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkf6itemmodels-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               pkgconf,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-kitemmodels,
               qml6-module-qtquick-window,
               qt6-base-dev (>= 6.0.0~),
               qt6-declarative-dev (>= 6.0.0~),
               qt6-svg-dev (>= 6.0.0~),
               qt6-tools-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/sdk/kirigami-gallery
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
Rules-Requires-Root: no

Package: kirigami-gallery
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

## kirigami-gallery 24.12.1

=== debian/changelog ===
kirigami-gallery (24.12.1-0ubuntu2) plucky; urgency=medium

  * Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Jan 2025 07:13:45 +0000

kirigami-gallery (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:32:34 +0000

kirigami-gallery (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:13:05 +0000

kirigami-gallery (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:09:28 +0000

kirigami-gallery (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:11:42 +0000

kirigami-gallery (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:41:49 +0000

## kirigami-gallery 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "6.0.0")
set(KF_DEP_VERSION "6.0.0")

set(CMAKE_CXX_STANDARD 17)

find_package(ECM ${KF_DEP_VERSION} REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

option(ENABLE_QML_PROFILING "Enable QML profiler support" ON)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(ECMAddAndroidApk)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS Kirigami ItemModels)

if(NOT ANDROID)
    find_package(Qt${QT_MAJOR_VERSION}Widgets ${REQUIRED_QT_VERSION} REQUIRED)
endif()

ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_subdirectory(src)

ecm_install_po_files_as_qm(poqm)

install(FILES org.kde.kirigami2.gallery.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kirigami2.gallery.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     add_definitions(-DQT_QML_DEBUG)
 endif()
 
-find_program(kpackagetool_cmd kpackagetool5)
+find_program(kpackagetool_cmd kpackagetool6)
 if (kpackagetool_cmd)
     set(component org.kde.kirigami2.gallery)
     set(APPDATAFILE "${CMAKE_CURRENT_BINARY_DIR}/${component}.appdata.xml")
@@ -30,16 +30,15 @@
     main.cpp
     InfoData.cpp
     resources.qrc)
-target_link_libraries(kirigami2gallery Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 KF5::Kirigami2 KF5::ItemModels)
+target_link_libraries(kirigami2gallery Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 KF6::Kirigami KF6::ItemModels)
 
 if (ANDROID)
-    target_link_libraries(kirigami2gallery Qt5::AndroidExtras)
     kirigami_package_breeze_icons(ICONS applications-graphics view-list-icons folder-sync view-list-details configure document-edit dialog-information dialog-positive dialog-warning dialog-error dialog-cancel document-decrypt system-run mail-reply-sender bookmarks folder media-record-symbolic add-placemark address-book-new-symbolic view-right-new view-right-close documentinfo go-home)
 
     configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
+    ecm_add_android_apk(kirigami2gallery ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
 else()
     target_link_libraries(kirigami2gallery Qt::Widgets)
 endif()
 
 install(TARGETS kirigami2gallery ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES data/metadata.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME org.kde.kirigami2.gallery.desktop)

=== debian/changelog ===
kirigami-gallery (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:43:20 +0000

kirigami-gallery (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:18:07 +0000

## kirigami-gallery 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Release Service Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kirigami2gallery VERSION ${RELEASE_SERVICE_VERSION})
@@ -37,7 +37,6 @@
 endif()
 
 ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
-ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)

=== debian/changelog ===
kirigami-gallery (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 14:47:08 +0200

kirigami-gallery (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Remove obsolete lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -20,8 +19,8 @@
                qt6-declarative-dev (>= 6.0.0~),
                qt6-svg-dev (>= 6.0.0~),
                qt6-tools-dev,
-Standards-Version: 4.7.0
-Homepage: https://invent.kde.org/sdk/kirigami-gallery
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/kirigami2.gallery/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami-gallery.git
 Rules-Requires-Root: no

## kirigami-gallery 25.04.3

=== debian/changelog ===
kirigami-gallery (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:45:40 +0100

kirigami-gallery (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:48:29 +0100

kirigami-gallery (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:08:25 +0100

kirigami-gallery (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:51:33 +0100

## kirigami-gallery 25.07.80

=== debian/changelog ===
kirigami-gallery (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:13:16 +0100

## kirigami-gallery 25.07.90

=== debian/changelog ===
kirigami-gallery (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:48:17 +0100
